from api.uow.uow_base import IUnitOfWork


class UserService:
    def __init__(self, uow: IUnitOfWork):
        self.uow = uow

    async def get_all_users(self):
        async with self.uow:
            await self.uow.users.find_all()
